Package com.castlabs.android.player

# Class ExternalSourceSelector.SourceData

java.lang.Object
com.castlabs.android.player.ExternalSourceSelector.SourceData

Enclosing interface:
  `ExternalSourceSelector`

public static class ExternalSourceSelector.SourceData extends Object
Source (CDN) data container

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `manifestUrl`
  The manifest URL for the source (CDN) fallback.
  `final ExternalSourceSelector.SwitchType`
  `switchType`
  The type of the source (CDN) fallback.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceData(ExternalSourceSelector.SwitchType switchType, String manifestUrl)`
  Source (CDN) with specified `ExternalSourceSelector.SwitchType` and manifest URL
  `SourceData(String manifestUrl)`
  Source (CDN) with `ExternalSourceSelector.SwitchType.Auto` and specified manifest URL

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.android.exoplayer2.source.MediaSource.SourceErrorListener.SourceData`
  `convert()`
  Converts this SourceData to a MediaSource.SourceErrorListener.SourceData instance.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### switchType

    @NonNull public final ExternalSourceSelector.SwitchType switchType
    The type of the source (CDN) fallback.

  - ### manifestUrl

    @NonNull public final String manifestUrl
    The manifest URL for the source (CDN) fallback.

- ## Constructor Details

  - ### SourceData

    public SourceData(@NonNull String manifestUrl)
    Source (CDN) with `ExternalSourceSelector.SwitchType.Auto` and specified manifest URL
    Parameters:
      `manifestUrl` - The specified manifest fallback URL

  - ### SourceData

    public SourceData(@NonNull ExternalSourceSelector.SwitchType switchType, @NonNull String manifestUrl)
    Source (CDN) with specified `ExternalSourceSelector.SwitchType` and manifest URL
    Parameters:
      `switchType` - The `ExternalSourceSelector.SwitchType`
      `manifestUrl` - The specified manifest fallback URL

- ## Method Details

  - ### convert

    @NonNull public com.google.android.exoplayer2.source.MediaSource.SourceErrorListener.SourceData convert()
    Converts this SourceData to a MediaSource.SourceErrorListener.SourceData instance.
    Returns:
      a MediaSource.SourceErrorListener.SourceData instance